Minimum SChannel Version for use with DH2i NAT Match Agent

Applies to…

  • DxOdyssey 19.5 and newer
  • DxEnterprise 19.5 and newer

Summary

Older versions of SChannel may not be compatible with OpenSSL 1.2 and above, which can impact nodes joining an existing cluster or gateway group using the DH2i NAT Match Agent (match.dh2i.com).

Information

To find the currently installed version of SChannel go to %SystemRoot%\System32\schannel.dll, right-click on the file and select Properties. Click on the Details tab and check the Product Version number.

The following versions of SChannel are the minimum tested versions for each operating system.

  • Windows Server 2008R2/Windows 7 – 6.1.7601.23915
  • Windows Server 2012/Windows 8 – 6.2.9200.21954
  • Windows Server 2012R2/Windows 8.1 – 6.3.9600.17728

Resolution

Run Windows update to get the latest version of SChannel.